commit:     d3a4f287a30d4012332e237cf88622837ff45248
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Tue Jun  6 08:57:40 2023 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Tue Jun  6 09:21:35 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=d3a4f287

dev-python/hypothesis: Bump to 6.76.0

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/hypothesis/Manifest                 |   1 +
 dev-python/hypothesis/hypothesis-6.76.0.ebuild | 104 +++++++++++++++++++++++++
 2 files changed, 105 insertions(+)

diff --git a/dev-python/hypothesis/Manifest b/dev-python/hypothesis/Manifest
index 17d814dd1cdd..986e97ca8b33 100644
--- a/dev-python/hypothesis/Manifest
+++ b/dev-python/hypothesis/Manifest
@@ -3,3 +3,4 @@ DIST hypothesis-6.75.5.gh.tar.gz 9370565 BLAKE2B 
e9ef05cfc24a0e5ada5ba863b4ce4c2
 DIST hypothesis-6.75.6.gh.tar.gz 9370713 BLAKE2B 
93996d6ff0c109c11123ad9b653502c44d51277760338c2575840d6257081bb19b0eedbf2d0feb15e9ebc9e6feacdbe79e070bfd31d35bb9c825bb4a2d44b7f5
 SHA512 
12396799a7f3fe661f5cb72ccf1a7299919d9f4b05a4075810803350380d217e30312d853ba72e49c28c4f1a08143cb76adc87465ba9cef7400e2dad9cc52001
 DIST hypothesis-6.75.7.gh.tar.gz 9371718 BLAKE2B 
9b0c9f4589be2c81fdb79a1157fcf3815dd7f9c11e3c68e14319c10fdb7a534e90e3c1ae042889057bfdb97ae3ffcf9f0360d7fb1b17419309f31b190aa03d9e
 SHA512 
ac4da9e837606f0d98361386e51496f21d9f53ceb0fdd9b3d14eb85456eaa3b4f7cbc7b29754b6b400093fd38b3d3c89ef74be6662f113e0eed87afbf0382ce1
 DIST hypothesis-6.75.9.gh.tar.gz 9372102 BLAKE2B 
9588536fade56f4f87f54a0dfd7c911934f08aad71f31785210d99dfb8060bf9719a3bc3e9a0dcd647261a4a1927d5b7cb1cab8135dd9b97ebb321d79a23946e
 SHA512 
29dfd1e9ff1087080a8dcd9c0c25c5e01c79839ac736d20f3eb31b1173b702e31c6b7d777c03f8f5674ec13e9bdc51aab6be8b1d20d067a30508914bcf61e8f1
+DIST hypothesis-6.76.0.gh.tar.gz 9373576 BLAKE2B 
ed580296f163f9808597aa3a7b2ceaf1ea43431a9049ffdba229dc0f7886c8ee42829c45c98cc8ec0aae7d1f41f455f7ffd818beb1a956498ac4d676cd72b678
 SHA512 
2e46762a3bcc595c92eb57e65b2c7ef07062df1c393033efd2cb6b3c774ecbbe41f672e7b6c63ca0e8afb732c0f5308dddd6908bc2f43eab5c0713a6d688d5f4

diff --git a/dev-python/hypothesis/hypothesis-6.76.0.ebuild 
b/dev-python/hypothesis/hypothesis-6.76.0.ebuild
new file mode 100644
index 000000000000..e338c8f52ddf
--- /dev/null
+++ b/dev-python/hypothesis/hypothesis-6.76.0.ebuild
@@ -0,0 +1,104 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+CLI_COMPAT=( python3_{10..11} )
+PYTHON_COMPAT=( "${CLI_COMPAT[@]}" python3_12 pypy3 )
+PYTHON_REQ_USE="threads(+),sqlite"
+
+inherit distutils-r1 multiprocessing optfeature
+
+TAG=hypothesis-python-${PV}
+MY_P=hypothesis-${TAG}
+DESCRIPTION="A library for property based testing"
+HOMEPAGE="
+       https://github.com/HypothesisWorks/hypothesis/
+       https://pypi.org/project/hypothesis/
+"
+SRC_URI="
+       https://github.com/HypothesisWorks/hypothesis/archive/${TAG}.tar.gz
+               -> ${P}.gh.tar.gz
+"
+S="${WORKDIR}/${MY_P}/hypothesis-python"
+
+LICENSE="MPL-2.0"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~m68k ~mips ~ppc ~ppc64 
~riscv ~s390 ~sparc ~x86"
+IUSE="cli"
+
+RDEPEND="
+       >=dev-python/attrs-19.2.0[${PYTHON_USEDEP}]
+       >=dev-python/sortedcontainers-2.1.0[${PYTHON_USEDEP}]
+       $(python_gen_cond_dep '
+               >=dev-python/exceptiongroup-1.0.0_rc8[${PYTHON_USEDEP}]
+       ' 3.9 3.10)
+       cli? (
+               $(python_gen_cond_dep '
+                       dev-python/black[${PYTHON_USEDEP}]
+                       dev-python/click[${PYTHON_USEDEP}]
+               ' "${CLI_COMPAT[@]}")
+       )
+"
+BDEPEND="
+       test? (
+               dev-python/mock[${PYTHON_USEDEP}]
+               dev-python/pexpect[${PYTHON_USEDEP}]
+               dev-python/pytest-xdist[${PYTHON_USEDEP}]
+               !!<dev-python/requests-toolbelt-0.10.1
+       )
+"
+
+distutils_enable_tests pytest
+
+python_test() {
+       # subtests are broken by warnings from random plugins
+       local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+       local -x 
PYTEST_PLUGINS=xdist.plugin,pytest_forked,_hypothesis_pytestplugin
+
+       # NB: paths need to be relative to pytest.ini,
+       # i.e. start with hypothesis-python/
+       local EPYTEST_IGNORE=()
+       local EPYTEST_DESELECT=(
+               # these tests can randomly fail with RecursionError when run
+               # in parallel
+               # https://github.com/HypothesisWorks/hypothesis/issues/3671
+               
hypothesis-python/tests/cover/test_lookup.py::test_resolving_mutually_recursive_types
+               
hypothesis-python/tests/cover/test_lookup.py::test_resolving_mutually_recursive_types_with_defaults
+       )
+       case ${EPYTHON} in
+               pypy3)
+                       EPYTEST_DESELECT+=(
+                               # failing due to warnings from numpy/cython
+                               
hypothesis-python/tests/pytest/test_fixtures.py::test_given_plus_overridden_fixture
+                       )
+                       ;;
+               python3.12)
+                       EPYTEST_DESELECT+=(
+                               hypothesis-python/tests/cover/test_lookup.py
+                               
hypothesis-python/tests/cover/test_type_lookup.py
+                               
hypothesis-python/tests/cover/test_type_lookup_forward_ref.py
+                       )
+                       ;;
+       esac
+
+       epytest -o filterwarnings= -n "$(makeopts_jobs)" \
+               tests/cover tests/pytest tests/quality
+}
+
+python_install() {
+       distutils-r1_python_install
+       if ! use cli || ! has "${EPYTHON}" "${CLI_COMPAT[@]/_/.}"; then
+               rm -r "${ED}/usr/bin" "${D}$(python_get_scriptdir)" || die
+       fi
+}
+
+pkg_postinst() {
+       optfeature "datetime support" dev-python/pytz
+       optfeature "dateutil support" dev-python/python-dateutil
+       optfeature "numpy support" dev-python/numpy
+       optfeature "django support" dev-python/django dev-python/pytz
+       optfeature "pandas support" dev-python/pandas
+       optfeature "pytest support" dev-python/pytest
+}

Reply via email to